// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		7C5059781B0A37F200EEE763 /* OpenCL.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 7C5059771B0A37F200EEE763 /* OpenCL.framework */; };
		7C5059901B0C58E900EEE763 /* main.cpp in Sources */ = {isa = PBXBuildFile; fileRef = 7C5059881B0C58E900EEE763 /* main.cpp */; };
		7C5059911B0C58E900EEE763 /* subpixel_edge.cl in Sources */ = {isa = PBXBuildFile; fileRef = 7C5059891B0C58E900EEE763 /* subpixel_edge.cl */; };
		7C5059921B0C58E900EEE763 /* subpixel_edge_gpu.cpp in Sources */ = {isa = PBXBuildFile; fileRef = 7C50598E1B0C58E900EEE763 /* subpixel_edge_gpu.cpp */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		7C50596B1B0A377800EEE763 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		7C50596D1B0A377800EEE763 /* subpixel_edge */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = subpixel_edge; sourceTree = BUILT_PRODUCTS_DIR; };
		7C5059771B0A37F200EEE763 /* OpenCL.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = OpenCL.framework; path = System/Library/Frameworks/OpenCL.framework; sourceTree = SDKROOT; };
		7C5059881B0C58E900EEE763 /* main.cpp */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = main.cpp; sourceTree = "<group>"; };
		7C5059891B0C58E900EEE763 /* subpixel_edge.cl */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.opencl; path = subpixel_edge.cl; sourceTree = "<group>"; };
		7C50598A1B0C58E900EEE763 /* subpixel_edge.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = subpixel_edge.h; sourceTree = "<group>"; };
		7C50598E1B0C58E900EEE763 /* subpixel_edge_gpu.cpp */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = subpixel_edge_gpu.cpp; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		7C50596A1B0A377800EEE763 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7C5059781B0A37F200EEE763 /* OpenCL.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		7C5059641B0A377800EEE763 = {
			isa = PBXGroup;
			children = (
				7C5059871B0C58E800EEE763 /* subpixel_edge */,
				7C5059771B0A37F200EEE763 /* OpenCL.framework */,
				7C50596E1B0A377800EEE763 /* Products */,
			);
			sourceTree = "<group>";
		};
		7C50596E1B0A377800EEE763 /* Products */ = {
			isa = PBXGroup;
			children = (
				7C50596D1B0A377800EEE763 /* subpixel_edge */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		7C5059871B0C58E800EEE763 /* subpixel_edge */ = {
			isa = PBXGroup;
			children = (
				7C5059881B0C58E900EEE763 /* main.cpp */,
				7C5059891B0C58E900EEE763 /* subpixel_edge.cl */,
				7C50598A1B0C58E900EEE763 /* subpixel_edge.h */,
				7C50598E1B0C58E900EEE763 /* subpixel_edge_gpu.cpp */,
			);
			name = subpixel_edge;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		7C50596C1B0A377800EEE763 /* subpixel_edge */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7C5059741B0A377800EEE763 /* Build configuration list for PBXNativeTarget "subpixel_edge" */;
			buildPhases = (
				7C5059691B0A377800EEE763 /* Sources */,
				7C50596A1B0A377800EEE763 /* Frameworks */,
				7C50596B1B0A377800EEE763 /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = subpixel_edge;
			productName = subpixel_edge;
			productReference = 7C50596D1B0A377800EEE763 /* subpixel_edge */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		7C5059651B0A377800EEE763 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0620;
				ORGANIZATIONNAME = "Mehdi Stapleton";
				TargetAttributes = {
					7C50596C1B0A377800EEE763 = {
						CreatedOnToolsVersion = 6.2;
					};
				};
			};
			buildConfigurationList = 7C5059681B0A377800EEE763 /* Build configuration list for PBXProject "subpixel_edge" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 7C5059641B0A377800EEE763;
			productRefGroup = 7C50596E1B0A377800EEE763 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				7C50596C1B0A377800EEE763 /* subpixel_edge */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		7C5059691B0A377800EEE763 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7C5059911B0C58E900EEE763 /* subpixel_edge.cl in Sources */,
				7C5059901B0C58E900EEE763 /* main.cpp in Sources */,
				7C5059921B0C58E900EEE763 /* subpixel_edge_gpu.cpp in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		7C5059721B0A377800EEE763 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				"ALWAYS_SEARCH_USER_PATHS[arch=*]" = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_SYMBOLS_PRIVATE_EXTERN = NO;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.9;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		7C5059731B0A377800EEE763 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.9;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = macosx;
			};
			name = Release;
		};
		7C5059751B0A377800EEE763 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		7C5059761B0A377800EEE763 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		7C5059681B0A377800EEE763 /* Build configuration list for PBXProject "subpixel_edge" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7C5059721B0A377800EEE763 /* Debug */,
				7C5059731B0A377800EEE763 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7C5059741B0A377800EEE763 /* Build configuration list for PBXNativeTarget "subpixel_edge" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7C5059751B0A377800EEE763 /* Debug */,
				7C5059761B0A377800EEE763 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
		};
/* End XCConfigurationList section */
	};
	rootObject = 7C5059651B0A377800EEE763 /* Project object */;
}
